# UtmConvert.ConvertLatLonUtm Class Reference

Collaboration diagram for UtmConvert.ConvertLatLonUtm:

[legend]

List of all members.

## Public Member Functions
| ConvertLatLonUtm ()
void | convertLatLonToUtm (double lat, double lon)
void | convertUtmToLatLon (double x, double y, string zone)
## Properties
Datum | Datum`[get, set]`
double | Easting`[get]`
double | x`[get]`
double | Northing`[get]`
double | y`[get]`
string | Zone`[get]`
int | CentralMeridian`[get]`
double | Latitude`[get]`
double | Longitude`[get]`

## Detailed Description

Definition at line 12 of file ConvertLatLonUtm.cs.

## Constructor & Destructor Documentation

UtmConvert.ConvertLatLonUtm.ConvertLatLonUtm | ( |  | ) |

Definition at line 57 of file ConvertLatLonUtm.cs.

## Member Function Documentation

void UtmConvert.ConvertLatLonUtm.convertLatLonToUtm | ( | double | lat,
|  | double | lon |
| ) |  |  |

Definition at line 65 of file ConvertLatLonUtm.cs.

Here is the caller graph for this function:

void UtmConvert.ConvertLatLonUtm.convertUtmToLatLon | ( | double | x,
|  | double | y,
|  | string | zone |
| ) |  |  |

Definition at line 145 of file ConvertLatLonUtm.cs.

Here is the caller graph for this function:

## Property Documentation

int UtmConvert.ConvertLatLonUtm.CentralMeridian`[get]`

Definition at line 43 of file ConvertLatLonUtm.cs.

Datum UtmConvert.ConvertLatLonUtm.Datum`[get, set]`

Definition at line 14 of file ConvertLatLonUtm.cs.

double UtmConvert.ConvertLatLonUtm.Easting`[get]`

Definition at line 20 of file ConvertLatLonUtm.cs.

double UtmConvert.ConvertLatLonUtm.Latitude`[get]`

Definition at line 48 of file ConvertLatLonUtm.cs.

double UtmConvert.ConvertLatLonUtm.Longitude`[get]`

Definition at line 53 of file ConvertLatLonUtm.cs.

double UtmConvert.ConvertLatLonUtm.Northing`[get]`

Definition at line 29 of file ConvertLatLonUtm.cs.

double UtmConvert.ConvertLatLonUtm.x`[get]`

Definition at line 24 of file ConvertLatLonUtm.cs.

double UtmConvert.ConvertLatLonUtm.y`[get]`

Definition at line 33 of file ConvertLatLonUtm.cs.

string UtmConvert.ConvertLatLonUtm.Zone`[get]`

Definition at line 38 of file ConvertLatLonUtm.cs.

The documentation for this class was generated from the following file:

- C:/Documents and Settings/student/My Documents/Visual Studio 2008/projects/system_controller/UtmConvert/UtmConvert/ConvertLatLonUtm.cs